// ---------------------------------------------
// Nephele Friendship Dialogue
// ---------------------------------------------
BEGIN LK#NEPJ

// 1. Why adventure?
IF ~~ LK#NF1_0
  SAY ~So, I suppose you're wondering why an old lady such as myself would go adventuring?~
  ++ ~I would have thought you'd be more comfortable cleaning the house or something, yes.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",2)~ + LK#NF1_1
  ++ ~Actually, yes.  Why do you want to adventure?~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",2)~ + LK#NF1_1
  ++ ~No, I'm not--and I don't particularly want to know.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",2)~ + LK#NF1_2
END

IF ~~ LK#NF1_1
  SAY ~To be honest with you, dear, I get tired of the same old routine.  Every twenty years or so I get the travelling bug, and I just have to get out of the house.  Find out what's happening in the world.~
  ++ ~That's understandable.  I don't think I could stay settled for long, either.~ + LK#NF1_3
  ++ ~There's more to it than that, I think.~ + LK#NF1_4
  ++ ~Every twenty...how old are you?~ + LK#NF1_5
END

IF ~~ LK#NF1_2
  SAY ~Hmph!~
  IF ~~ DO ~IncrementGlobal("LK#NepheleAnnoyed","GLOBAL",1)~ EXIT
END

IF ~~ LK#NF1_3
  SAY ~The children have all left the nest.  Some even have little ones of their own.  The house is terribly quiet, and it can be rather lonesome without them, on occasion.  And with Davrin gone, there's little point in staying at home by myself, is there?~
  ++ ~I suppose not, no.~ + LK#NF1_7
  ++ ~Well, you could always--cook, clean, do the gardening...you know.~ + LK#NF1_6
  ++ ~Davrin?  Who's that?~ + LK#NF1_7
END

IF ~~ LK#NF1_4
  SAY ~(laugh) There always is.~ 
  IF ~~ + LK#NF1_3
END

IF ~~ LK#NF1_5
  SAY ~That's none of your business, dear.  Let's just say I'm over fifty and under two hundred, and leave it at that.~
  = ~There's another reason I felt the need to get out of the house, besides the travelling bug.  I knew it would happen eventually, of course, but it was no less strange when it did.~
  IF ~~ + LK#NF1_3
END

IF ~~ LK#NF1_6
  SAY ~I've never been one for housework, to be entirely honest, dear.  Dust makes me sneeze.  Davrin was the one who kept the house tidy.~
  = ~I would mostly keep the children entertained, teach them what they needed to know before they ventured out into the wide world. (sigh)~
  IF ~~ + LK#NF1_7
END

IF ~~ LK#NF1_7
  SAY ~I'm not sure if I told you, but my husband died many years ago.  He was gravely ill, and it was a kindness he left the world as quickly as he did.  Many with that particular illness suffer for years before their bodies give out.  He was one of the lucky ones.~
  ++ ~My condolences.  It's always hard to lose a loved one.~ + LK#NF1_8
  ++ ~What a horrible way to die.~ + LK#NF1_8
  ++ ~At least it would have helped him escape you, I suppose.~ + LK#NF1_9
END

IF ~~ LK#NF1_8
  SAY ~Yes, it is.~
  = ~Have you known the pain of losing a loved one, <CHARNAME>?~
  ++ ~I never knew my mother--she died soon after I was born.  I've never met my father.~ + LK#NF1_10
  ++ ~My foster father, Gorion, was killed before my very eyes.~ + LK#NF1_11
  ++ ~No, I haven't.~ + LK#NF1_12
END

IF ~~ LK#NF1_9
  SAY ~Perhaps I'll talk to you when you're in a better mood, <CHARNAME>.~
  IF ~~ DO ~IncrementGlobal("LK#NepheleAnnoyed","GLOBAL",1)~ EXIT
END

IF ~~ LK#NF1_10
  SAY ~An orphan, then?  I can't imagine what it must be like for you.~
  ++ ~I didn't really know my mother, and my father was the dead god of murder, Bhaal.~ + LK#NF1_13
  ++ ~The blood that runs through my veins more than makes up for it.  I'm a Bhaalspawn, you see.~ + LK#NF1_13
  ++ ~My foster father, Gorion, more than made up for it.  He cared for me better than Bhaal could have, I'm sure.~ + LK#NF1_13
END

IF ~~ LK#NF1_11
  SAY ~Ah... I'm sorry.  That must have been a terrible experience, indeed.~
  ++ ~It was moderately horrific, yes.  Seeing your father murdered before you isn't a good start to any adventure.~ + LK#NF1_15
  ++ ~I said he was killed--not that I cared.  He was a terrible father, and I was glad to see him out of my life.~ + LK#NF1_14
  ++ ~I survived it, and that's what matters.~ + LK#NF1_15
END

IF ~~ LK#NF1_12
  SAY ~Then let's hope you won't have to for a long time yet.~
  IF ~~ EXIT
END

IF ~~ LK#NF1_13
  SAY ~Bhaal?!~
  = ~I... I have to admit, I heard rumours, dear, but--it still comes as a bit of a shock.~
  = ~Don't worry, I don't think any less of you. After all, you saved Trademeet, as well as Baldur's Gate.~
  = ~Of course, you can't let all that fame get to your head, dear. Now, let's get moving. I'm sure we have a lot to do!~
  IF ~~ EXIT
END

IF ~~ LK#NF1_14
  SAY ~I'm sure you'll look back in twenty years and thank him for raising you the way he did, dear. Half of my children felt that way until they had children of their own!~
  IF ~~ + LK#NF1_16
END

IF ~~ LK#NF1_15
  SAY ~I'm sorry, dear. I didn't mean to ruin the mood with my talk of Davrin.~
  IF ~~ + LK#NF1_16
END

IF ~~ LK#NF1_16
  SAY ~But let's get moving, before this gets any more maudlin! You mustn't let me ramble on like this.~
  IF ~~ EXIT
END


// 2. PC's Past
IF ~Global("LK#NepheleFriendTalks","GLOBAL",3) RealGlobalTimerExpired("LK#NephFriendTalksTimer","GLOBAL")~ n2
  SAY ~I have to admit, dear, I have heard a little about you--but the stories vary from the unbelievable to the obviously fraudulent.  Why don't you tell me about yourself?~
  = ~I'm sure you've been asked this a thousand times, of course, but that's one of the perils of fame. (wink)~
  ++ ~Heh, yes, I've been asked a fair few times.  What do you want to know?~ DO ~IncrementGlobal("LK#NepheleFriendTalks","GLOBAL",1) RealSetGlobalTimer("LK#NephFriendTalksTimer","GLOBAL",5400)~ + n2.1
  ++ ~Well, I was raised in Candlekeep, under the watchful eyes of a mage named Gorion, along with my foster sister Imoen.~ + DO ~IncrementGlobal("LK#NepheleFriendTalks","GLOBAL",1) RealSetGlobalTimer("LK#NephFriendTalksTimer","GLOBAL",5400)~ + n2.2
  ++ ~Yes, I have been asked a thousand times--and I don't particularly want to answer again.~ DO ~IncrementGlobal("LK#NepheleFriendTalks","GLOBAL",1) RealSetGlobalTimer("LK#NephFriendTalksTimer","GLOBAL",5400)~ + n2.3
END

IF ~~ n2.1
  SAY ~I want to know everything you can tell me!  You've led a life filled with danger and intrigue...you must have some interesting tales to tell!  Not all now, of course, but why don't you start at the beginning?~
  ++ ~I was raised in a place called Candlekeep with my foster-sister Imoen, by a man named Gorion.~ + n2.2
  ++ ~(sigh) Must I?~ + n2.4
  ++ ~Short version: raised in Candlekeep with foster-sister, left to escape bounty hunters, foster-father killed by Sarevok, who I later killed.  How's that?~ + n2.5
END

IF ~~ n2.2
  SAY ~I've never been to Candlekeep myself, but I remember Davrin mentioning it once or twice.  Quite the reader, he was.~
  = ~Well, continue!  You were raised in Candlekeep with Imoen by Gorion...?~
  ++ ~It was pleasant.  I miss it, sometimes.~ + n2.10
  ++ ~I hated it; so many rules, so many boundaries.  I couldn't wait to get out.~ + n2.11
  ++ ~It was alright, I suppose.  We were forced to leave.~ + n2.10
END

IF ~~ n2.3
  SAY ~Fair enough, I suppose--still, I would love to hear it one day, were you interested in telling it.~
  = ~In any case, let's get moving.  The road won't walk on itself!~
  IF ~~ EXIT
END

IF ~~ n2.4
  SAY ~Of course!  How can you expect to know somebody if they don't tell you anything?~
  ++ ~Well, you could start by telling your tale?~ + n2.6
  ++ ~I was raised in Candleep by my foster-father, Gorion, with my foster-sister Imoen.~ + n2.2
  ++ ~And I feel no particular need to tell you about myself, so shove off, old woman.~ + n2.7
END

IF ~~ n2.5
  SAY ~Fairly concise, yes.  I don't think you could have shortened it if you'd tried!~
  IF ~~ + n2.2
END

IF ~~ n2.6
  SAY ~Perhaps another time, dear.  Mine is a little longer than yours, I'd imagine!~
  ++ ~I'd like to hear it.~ + n2.8
  ++ ~I can imagine, yes.~ + n2.9
  ++ ~You'll not hear a word of mine until I've heard yours!~ + n2.8
END

IF ~~ n2.7
  SAY ~Hmph.  As you wish, mighty <CHARNAME>.~
  IF ~~ DO ~IncrementGlobal("LK#NepheleAnnoyed","GLOBAL",1)~ EXIT
END

IF ~~ n2.8
  SAY ~One day when I'm not quite so tired, I would be happy to spin you a tale of my travels, <CHARNAME>.~
  IF ~~ + n2.end
END

IF ~~ n2.9
  SAY ~In any case, let's get moving.  The road won't walk on itself!~
  IF ~~ EXIT
END

IF ~~ n2.10
  SAY ~Why did you leave, exactly?  It doesn't sound like a horrible place.~
  ++ ~It became dangerous; we escaped, but Gorion was killed by a man I later found to be my half-brother, Sarevok.~ + n2.12
  ++ ~It might not have been, but I was forced to leave by Gorion, who died so that I could live.~ + n2.12
  ++ ~Gorion forced me to leave, saying it was dangerous.  As we were escaping, the old fool was killed.~ + n2.12
END

IF ~~ n2.11
  SAY ~What did cause you to leave, exactly?~
  ++ ~It became dangerous; we escaped, but Gorion was killed by a man I later found to be my half-brother, Sarevok.~ + n2.12
  ++ ~It might not have been, but I was forced to leave by Gorion, who died so that I could live.~ + n2.12
  ++ ~Gorion forced me to leave, saying it was dangerous.  As we were escaping, the old fool was killed.~ + n2.12
END

IF ~~ n2.12
  SAY ~I'm sorry to hear that, dear.  You must have been very close to him.~
  ++ ~I was.  I still remember him fondly.~ + n2.13
  ++ ~I don't have any particular affection for him, but he raised me well.~ + n2.14
  ++ ~He was a foolish old man, who had a fitting end.~ + n2.15
END

IF ~~ n2.13
  SAY ~I'm sure you do, dear.  One day you will have to tell me about him; he sounds like a man worthy of remembrance.~
  IF ~~ + n2.16
END

IF ~~ n2.14
  SAY ~I'm sure he did, yes. One day you will have to tell me about him; he sounds like a man worthy of remembrance.~
  IF ~~ + n2.16
END

IF ~~ n2.15
  SAY ~What a thing to say, <CHARNAME>!  You should not speak about your father like that.  I am sure he cared about you very much.~
  IF ~~ + n2.16
END

IF ~~ + n2.16
  SAY ~My own father was something of a fool, but I loved him all the same.  He always laughed at what he called "the folly of youth," when I would gush about the latest adventurer who had come through the village...he took me a little more seriously after I became one, though.~
  = ~He initially disapproved of my choice of career, but he stopped complaining when I sent him some gold to help pay for the house he wanted to buy. (wink)~
  = ~I seem to have gone off on a tangent--my apologies, dear!  I tend to do that every now and then--I'm told it's one of the vices of the aged; of course, I don't feel quite that old, but these creaky bones say otherwise.~
  = ~I'm sorry, what were you saying?~
  ++ ~(laugh) Another time, Nephele.~ + n2.17
  ++ ~I was telling you about Gorion's death.~ + n2.18
  ++ ~It doesn't matter.~ + n2.17
END

IF ~~ n2.17
  SAY ~If you say so, dear.  I'm always here for a good chat if you have need of it, and even if you don't.  If you're ever feeling like a good talk, you know who to come to!~
  IF ~~ + n2.9
END

IF ~~ n2.18
  SAY ~Ah, yes.  I'm sorry to hear that, my dear.  Losing a father is always a difficult thing.~
  = ~I'm always here for a good chat if you have need of it, and even if you don't.  If you're ever feeling like a good talk, you know who to come to.~
  IF ~~ + n2.9
END


// 3. Nephele's Family, Imoen
IF ~Global("LK#NepheleFriendTalks","GLOBAL",5)~ LK#NF3
  SAY ~Have I ever told you about my children, <CHARNAME>?~
  ++ ~Not as of yet.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",6)~ + LK#NF3.1                                                    
  ++ ~No, but I'd like to hear about them.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",6)~ + LK#NF3.2
  ++ ~You haven't, and I've no particular desire to hear about them now.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",6)~ + LK#NF3.3
END

IF ~~ LK#NF3.1
  SAY ~An oversight if I ever did make one!~
  IF ~~ + LK#NF3.2
END

IF ~~ LK#NF3.2
  SAY ~Who to start with...? I suppose I should start at the beginning, with my oldest, Samson.~
  = ~He's a darling. Has a wife and three rays of sunshine of his own, now. But when he was little--Yondalla's word, he was naughty! Constantly running off, eating what he oughtn't, playing tricks on his brothers and sisters...He worked out just fine in the end, though.~
  = ~And then of course there's the twins, Katrell and Talia. Inseparable even today. They're living in the Dales, I think, making a fortune in imported furs. Out of all of them, Katie and Talia were always the most canny.~
  = ~Little Anders came next--an actor from the cradle. If there was ever any action in the household, Anders was at the centre of it.~
  = ~I'm not sure what he's doing now. We had something of a falling out several years back.~
  ++ ~I'm sorry to hear that.~ + LK#NF3.4
  ++ ~What about, exactly?~ + LK#NF3.5
  ++ ~Who came next?~ + LK#NF3.6
END

IF ~~ LK#NF3.3
  SAY ~Hmph. Well, that's your prerogative.~
  IF ~~ DO ~IncrementGlobal("LK#NepheleAnnoyed","GLOBAL",1)~ EXIT
END

IF ~~ LK#NF3.4
  SAY ~These things happen. He'll come around to my point of view eventually. He just needs a few years to sort himself out is all.~
  IF ~~ + LK#NF3.6
END

IF ~~ LK#NF3.5
  SAY ~Don't you worry about it, dear. It's my problem, not yours.~
  IF ~~ + LK#NF3.4
END

IF ~~ LK#NF3.6
  SAY ~Poppy followed Anders, and she had the same adventuring spirit I have...I haven't heard from her either. She and Anders were always close, and she went with him when he left. (sigh)~
  = ~Garret and Alton were the youngest. Garret is mine, but Alton I adopted. He lost his parents at a very young age, and Davrin and I took him under our wing.~
  = ~Garret is a carpenter, and Alton has his first child on the way. Of all my children, they were the only ones to remain in Larrikin after I left.~
  = ~That's all of them. I wish you could meet them, dear, they would love you. Especially Poppy, she would simply adore you.~
  ++ ~Who knows what will happen in the future?~ + LK#NF3.7
  ++ ~They sound lovely.~ + LK#NF3.8
  ++ ~That's a whole lot of kids.~ + LK#NF3.9
END

IF ~~ LK#NF3.7
  SAY ~Who knows, indeed.  Well, perhaps one day.~
  
IF ~~ LK#NF3.8
  SAY ~They are. (smile)~
  IF ~~ EXIT
END

IF ~~ LK#NF3.9
  SAY ~Well, I grew up in a family of eight. In our village, it was not at all strange, though I can see how you might find it so, having grown up practically by yourself!~
  = ~But I'm sure you've got better things to do than listen to an old woman ramble. (smile)~
  IF ~~ EXIT
END



// 4.
IF ~Global("LK#NepheleFriendTalks","GLOBAL",7)~ LK#NF4
  SAY ~This is a placeholder for dialogue [4].~
  IF ~~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",8)~ EXIT
END

IF ~Global("LK#NepheleFriendTalks","GLOBAL",9)~ LK#NF5
  SAY ~This place gives me the willies. I've heard many things about the drow before, but meeting them in the flesh is more than a little intimidating, isn't it?~
  IF ~~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",10)~ EXIT
END


/*
// 5. Underdark
IF ~Global("LK#NepheleFriendTalks","GLOBAL",9)~ LK#NF5
  SAY ~This place gives me the willies. I've heard many things about the drow before, but meeting them in the flesh is more than a little intimidating, isn't it?~
  ++ ~You've got that right...~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",10)~ + LK#NF5.1
  ++ ~They're certainly not what I was expecting.~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",10)~ + LK#NF5.1
  ++ ~And here I thought you were an adventurer!~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",10)~ + LK#NF5.2
END

IF ~~ LK#NF5.1
  SAY ~I must say, I wasn't entirely prepared for this when you first asked me to join you. I simply hope we make it out of here alive.~
  ++ ~As I recall, you asked to join *me*, not the other way around.~ + LK#NF5.3
  ++ ~We will, Nephele. Don't worry about that.~ + LK#NF5.4
  ++ ~(sigh) I don't have time for this...~ + LK#NF5.5
END

IF ~~ LK#NF5.2
  SAY ~I *was* an adventurer. Many years ago. Facing the reality of this place...~
  IF ~~ + LK#NF5.1
END

IF ~~ LK#NF5.3
  SAY ~Well, *I* distinctly recall it was you who asked me, dear.~
  ++ ~I wouldn't be so sure about that.~ + LK#NF5.6
  ++ ~If you say so, Nephele.~ + LK#NF5.6
  ++ ~(sigh) Don't worry about it.~ + LK#NF5.6
END

IF ~~ LK#NF5.4
  SAY ~~
*/

// 6. Writing letters to kids
IF ~Global("LK#NepheleFriendTalks","GLOBAL",11)~ LK#NF6
  SAY ~Do you have a quill I could borrow, dear? I promised I'd write to Samson, Garret and Alton and keep them updated, but my quill's gone missing.~
  IF ~~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",12)~ EXIT
END

// 7. Suldanessellar
IF ~Global("LK#NepheleFriendTalks","GLOBAL",13)~ LK#NF7
  SAY ~It's so beautiful! Look at all those elves--we're with *royalty!* I've heard so much about the fabled city of Suldanessellar, but I never thought I'd actually *go* there!~
  IF ~~ DO ~SetGlobal("LK#NepheleFriendTalks","GLOBAL",14)~ EXIT
END

// Class: Spellcaster
IF ~Global("LK#NepheleSpellTalk","GLOBAL",1)~ LK#NC_0
  SAY ~<CHARNAME>, dear, can I make a suggestion about the way you cast? I find if you raise your arms a litle higher, it looks both more intimidating and helps focus the spell.~
  ++ ~Thank you, Nephele. I'll keep that in mind.~ + LK#NC_1
  ++ ~You can keep your "advice" to yourself. My casting is fine.~ + LK#NC_2
  ++ ~Now's a rather bad time.~ + LK#NC_3
  ++ ~You're a cleric, not a <PRO_CLASS>. How would you know?~ + LK#NC_4
END

IF ~~ LK#NC_1
  SAY ~Think nothing of it, dear.~
  IF ~~ + LK#NC_5
END

IF ~~ LK#NC_2
  SAY ~Well, as far as it goes, yes. But you're not getting as much power out of it as you could!~
  IF ~~ + LK#NC_5
END

IF ~~ LK#NC_3
  SAY ~Well, this is rather important, dear--if you'd like to be the best you can, there are always things you can improve upon.~
  IF ~~ + LK#NC_5
END

IF ~~ LK#NC_4
  SAY ~I've known many a magic-user in my time. I think I know what I'm talking about, dear.~
  IF ~~ + LK#NC_5
END

IF ~~ LK#NC_5
  SAY ~I also couldn't help but notice how you pronounce your "t"s...~
  ++ ~I don't need someone to criticise how I cast.~ + LK#NC_6
  ++ ~What about it? Is it wrong?~ + LK#NC_7
  ++ ~Ah, yes, I've been a bit worried about that, to be honest... that's how I learnt, but I've heard other people do it differently.~ + LK#NC_7
  ++ ~Leave me and my casting alone, Nephele. It's none of your business. Keep it that way.~ + LK#NC_6
END

IF ~~ LK#NC_6
  SAY ~I'm just trying to be helpful, dear. There's no need for that kind of rudeness!~
  IF ~~ DO ~IncrementGlobal("LK#NepheleAnnoyed","GLOBAL",1)~ EXIT
END

IF ~~ LK#NC_7
  SAY ~It isn't wrong, exactly, your spells work fine--it's more a question of style and correctness. You really should end your words crisply, pronouncing the "t" rather than trailing off. It's in rather bad form, dear.~
  ++ ~I don't "trail off!" My spellcasting is better than yours will ever be.~ + LK#NC_8
  ++ ~So I need to pronounce the ends of my words more clearly, you think?~ + LK#NC_9
  ++ ~I've been doing this for years. I think I know what I'm doing.~ + LK#NC_8
END

IF ~~ LK#NC_8
  SAY ~If you say so, dear. But when your spells begin to fizzle out and you're not quite sure why, keep in mind what I've said. Style is everything, even if it doesn't seem like it at first!~
  IF ~~ EXIT
END

IF ~~ LK#NC_9
  SAY ~Exactly! So "cartet," for example, becomes "cartett." Hear the difference?~
  ++ ~I think so, yes. Thank you, I'll keep it in mind.~ + LK#NC_10
  ++ ~Ah, not really, no. I'll take your word for it.~ + LK#NC_11
  ++ ~There *is* no difference. Perhaps you should get your hearing checked before you really start having problems.~ + LK#NC_6
END

IF ~~ LK#NC_10
  SAY ~Anytime, dear.~
  IF ~~ + LK#NC_12
END

IF ~~ LK#NC_11
  SAY ~There is definitely a difference. It is rather slight, though, so I'm not terribly surprised you can't hear it. But yes, you'll have to trust me on this one!~
  IF ~~ + LK#NC_12
END

IF ~~ LK#NC_12
  SAY ~If you ever need any help, let me know, and I'd be happy to lend a hand.~
  IF ~~ EXIT
END

// Race: Halfling
IF ~Global("LK#NepheleHalflingTalk","GLOBAL",1)~ LK#NH1
  SAY ~It's so refreshing to see another halfling travelling the world! Usually you hear about all these humans or elves, it's never a halfling. Discrimination, I say!~
  // story about her old adventuring party; they were refused a job because they were small--job never got done because nobody would hire themselves out to the people
  IF ~~ DO ~SetGlobal("LK#NepheleHalflingTalk","GLOBAL",2)~ EXIT
END


// ---------------------------------------------
// Nephele Interjections
// ---------------------------------------------


// Bodhi
INTERJECT_COPY_TRANS BODHI 1 FHBodhiIntro
  == LK#NEPJ IF ~InParty("Nephele") !StateCheck("Nephele",CD_STATE_NOTVALID)~ THEN
  ~<CHARNAME>, dear, I don't think it was a wise decision to come here. I don't like the feel of this one bit.~
END

INTERJECT_COPY_TRANS BODHI 18 FHBodhiLeave
  == LK#NEPJ IF ~InParty("Nephele") !StateCheck("Nephele",CD_STATE_NOTVALID)~ THEN
  ~I cannot agree with such a decision, <CHARNAME>--and I cannot travel with the knowledge you work with vampires. Goodbye, and I hope you see the folly of your course before you do something you may later regret!~
  DO ~ChangeAIScript("",DEFAULT) SetLeavePartyDialogFile() LeaveParty() EscapeArea()~
END


// Trademeet Gypsy
EXTEND_BOTTOM TRGYP02 2
  IF ~!InPartySlot(LastTalkedToBy,0) Name("Nephele",LastTalkedToBy)~ EXTERN TRGYP02 LK#NepheleGypsy_0
END

APPEND TRGYP02
IF ~~ LK#NepheleGypsy_0
  SAY ~You have a generous spirit, dear woman, but do not let your past losses cloud your vision. Let the strength within you come forth, and do not fall to the temptation to wait for the next sunrise.~
  IF ~~ EXTERN LK#NEPJ LK#NepheleGypsy_1
END
END

APPEND LK#NEPJ
IF ~~ LK#NepheleGypsy_1
  SAY ~I appreciate the advice, dear, but there is no danger of that.~
  IF ~~ EXIT
END
END


// Adalon
INTERJECT UDSILVER 9 LK#NepheleAdalon
  == LK#NEPJ IF ~InParty("Nephele")~ THEN ~<CHARNAME>--a silver... a silver... a dragon! My lady, I... I am speechless, you are so beautiful!~
END UDSILVER 58


// In Hell
I_C_T PLAYER1 25 LK#Nep_Hell
  == LK#NEPJ IF ~IsValidForPartyDialog("Nephele")~ THEN ~I hardly mean to be offensive, dear, but where in Yondalla's name are we? I... I remember Irenicus falling, and smiling at you, and then... you collapsed, and I...~
  = ~And then we were here. Well, I'm with you until the end, my dear, even if this is it. Wherever you have brought us, I will proudly follow.~
END


// Irenicus in Hell
I_C_T HELLJON 7 LK#Nep_Iren
  == LK#NEPJ IF ~IsValidForPartyDialog("Nephele")~ THEN ~You have ruined too many lives to get away again--it is time for your final death, fool! What you did to <CHARNAME>, Imoen and countless others shall be avenged!~
END

I_C_T HELLJON 8 LK#Nep_Iren1
  == LK#NEPJ IF ~IsValidForPartyDialog("Nephele")~ THEN ~You have ruined too many lives to get away again--it is time for your final death, fool! What you did to <CHARNAME>, Imoen and countless others shall be avenged!~
END

I_C_T HELLJON 9 LK#Nep_Iren2
  == LK#NEPJ IF ~IsValidForPartyDialog("Nephele")~ THEN ~You have ruined too many lives to get away again--it is time for your final death, fool! What you did to <CHARNAME>, Imoen and countless others shall be avenged!~
END

I_C_T HELLJON 10 LK#Nep_Iren3
  == LK#NEPJ IF ~IsValidForPartyDialog("Nephele")~ THEN ~You have ruined too many lives to get away again--it is time for your final death, fool! What you did to <CHARNAME>, Imoen and countless others shall be avenged!~
END


// Tree of Life
EXTEND_BOTTOM PLAYER1 33
IF ~InParty("Nephele") InMyArea("Nephele") !StateCheck("Nephele",CD_STATE_NOTVALID) Global("LK#NepheleTreeofLife","GLOBAL",0)~
EXTERN PLAYER1 LK#NepheleToL
END


CHAIN PLAYER1 LK#NepheleToL
~Nephele, the somewhat patronising, generous and loyal mother, has stayed by your side against the darkest of odds. She has a family and life yet to live.~
END
  ++ ~This is my battle, Nephele. It's too dangerous--I won't risk your life to avenge what was taken from me.~ DO ~SetGlobal("LK#NepheleTreeofLife","GLOBAL",1)~ EXTERN LK#NEPJ LK#NepheleToL_1
  ++ ~You don't need to come with me, Nephele. You've done more than enough already.~ DO ~SetGlobal("LK#NepheleTreeofLife","GLOBAL",1)~ EXTERN LK#NEPJ LK#NepheleToL_1
  ++ ~Are you with me, Nephele? I'll need all the help I can get to defeat Irenicus.~ DO ~SetGlobal("LK#NepheleTreeofLife","GLOBAL",1)~ EXTERN LK#NEPJ LK#NepheleToL_2

APPEND LK#NEPJ
  IF ~~ LK#NepheleToL_1
    SAY ~Nonsense! I've stood by you so far, why would I want to abandon you now? I'm coming with you, dear, whether you like it or not. Irenicus has a lot to answer for.~
    COPY_TRANS PLAYER1 33
  END
  
  IF ~~ LK#NepheleToL_2
    SAY ~What do you expect me to do, dear? Turn tail and have tea with one of the elven priestesses? Hardly. Irenicus has a lot to answer for. I'm with you.~
    COPY_TRANS PLAYER1 33
  END
END